#!/bin/csh
#SBATCH --job-name="NAMD SMP"
#SBATCH --partition=defq
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=48
#SBATCH -t 10:00:00

source /data/apps/go.sh
module load gcc/9.3.0
module load namd/2.14-smp

#NODELIST=$SLURM_JOBID.nodes

#JOBNODES=$(scontrol show hostname $SLURM_JOB_NODELIST)

#echo group main > $NODELIST
#for nodes  in $JOBNODES ; do
#        echo host $nodes >> $NODELIST
#done
#charmrun namd2 +p$NUMPROCS ++ppn 47    ++nodelist $NODELIST +idlepoll +setcpuaffinity step4_equilibration.inp > step4_equilibration.out

charmrun ++ppn 47 ++local `which namd2` +idlepoll +setcpuaffinity step4_equilibration.inp > step4_equilibration.out
wait
cp step4_equilibration.vel dyn.vel
cp step4_equilibration.coor dyn.coor
cp step4_equilibration.xsc dyn.xsc

#sbatch dyn.sh

